%if 0%{?fedora}
%global __python %{__python2}
%endif

##  Filtering of private libraries 
%global _privatelibs  ^%{python_sitearch}/prody/.*\\.so$
%global __provides_exclude_from ^(%{_privatelibs})$
%global __requires_exclude_from ^(%{_privatelibs})$

Name: ProDy
Summary: Application for protein structure, dynamics and sequence analysis
Version: 1.4.9
Release: 1%{?dist}
License: GPLv3+
Group: Applications/Engineering
URL: http://www.csb.pitt.edu/ProDy
Source0: http://pypi.python.org/packages/source/P/%{name}/%{name}-%{version}.tar.gz

BuildRequires: python2-devel
BuildRequires: python-libs
BuildRequires: numpy

Requires: scipy

## Explicit library require for using plotting functions
Requires: python-matplotlib

### Pyparsing is used to define the atom selection grammar
### Biopython KDTree package and pairwise2 module are used for distance based
## atom selections and pairwise sequence alignment, respectively.
#
### argparse is used to implement applications and provided for
## compatibility with Python 2.6.
#%if 0%{?rhel}
#Requires: python-argparse
#Requires: pyparsing, python-biopython >= 1.62
#Requires: ipython
#%else
Requires: pyparsing, python-biopython
Requires: python-ipython
#%endif

 

%description
ProDy is a free and open-source Python package for protein structure, dynamics,
and sequence analysis.  It allows for comparative analysis and modeling of 
protein structural dynamics and sequence co-evolution.  Fast and flexible ProDy
API is for interactive usage as well as application development.  ProDy also  
comes with several analysis applications and a graphical user interface for 
visual analysis. 
- Visit http://www.csb.pitt.edu/ProDy/ -

%prep
%setup -q -n %{name}-%{version}

## Removing bundled files
rm lib/prody/atomic/pyparsing*
rm -rf lib/prody/KDTree
rm lib/prody/proteins/pairwise2.py lib/prody/proteins/cpairwise2.c
rm lib/prody/apps/argparse.py


%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT 

## Fix 'non-executable-script' warnings
chmod a+x $RPM_BUILD_ROOT%{python_sitearch}/prody/tests/test_*/test_*.py
chmod a+x $RPM_BUILD_ROOT%{python_sitearch}/prody/tests/__init__.py

## Add Python shebang 
sed -i -e '1i#!/usr/bin/python' $RPM_BUILD_ROOT%{python_sitearch}/prody/tests/test_apps/test_prody_examples.py

%files
%doc *.rst PKG-INFO
%{_bindir}/prody
%{_bindir}/evol
%{python_sitearch}/prody
%{python_sitearch}/%{name}-%{version}-*.egg-info

%changelog
* Sat Nov 16 2013 Antonio Trande <sagitter@fedoraproject.org> 1.4.9-1
- Update to 1.4.9
- Remove 'cpairwise2.c' file

* Wed Nov 06 2013 Antonio Trande <sagitter@fedoraproject.org> 1.4.8-1
- Re-defined required packages for EPEL (still unused)
- Update to 1.4.8

* Thu Oct 24 2013 Antonio Trande <sagitter@fedoraproject.org> 1.4.6-2
- Defined a python2 macro only for Fedora

* Wed Oct 23 2013 Antonio Trande <sagitter@fedoraproject.org> 1.4.6-1
- Update to 1.4.6
- Defined python-argparse required package for EPEL
- Spec file renamed ProDy 
- Defined a python2 macro only for Fedora 

* Sun Sep 15 2013 Antonio Trande <sagitter@fedoraproject.org> 1.4.4-3
- Bundled files removed
- Add new required packages (pyparsing, python-biopython)

* Mon Aug 12 2013 Antonio Trande <sagitter@fedoraproject.org> 1.4.4-2
- Added python-matplotlib and python-ipython as Requires
- Perform filtering private libraries 
- Fix some 'non-executable-script' warnings
- Add a Python shebang

* Mon Aug 12 2013 Antonio Trande <sagitter@fedoraproject.org> 1.4.4-1
- Initial build
